Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.jboss.portal.core.impl.model.portal
Class PersistentPortalObjectContainer

    java.lang.Object
      org.jboss.mx.util.JBossNotificationBroadcasterSupport
          org.jboss.system.ServiceMBeanSupport
              org.jboss.portal.jems.as.system.AbstractJBossService
                  org.jboss.portal.core.impl.model.portal.AbstractPortalObjectContainer
                      org.jboss.portal.core.impl.model.portal.PersistentPortalObjectContainer

All Implemented Interfaces:
  javax.management.MBeanRegistration, javax.management.NotificationBroadcaster, javax.management.NotificationEmitter, PortalObjectContainer, AuthorizationDomain, DomainConfigurator, PermissionFactory, PermissionRepository, org.jboss.system.Service, org.jboss.system.ServiceMBean

    public class PersistentPortalObjectContainer

extends AbstractPortalObjectContainer

Version:
  $Revision: 11500 $
Author:
  Julien Viet

Nested Class Summary

Nested classes/interfaces inherited from class org.jboss.portal.core.impl.model.portal.AbstractPortalObjectContainer
`AbstractPortalObjectContainer.ContainerContext`

Field Summary
`protected JBossAuthorizationDomainRegistry` | `authorizationDomainRegistry` .
`protected java.util.concurrent.ConcurrentHashMap` | `cache` .
`protected boolean` | `cacheNaturalId` .
`protected ObjectContextualizer` | `contextualizer` .
`protected AbstractPortalObjectContainer.ContainerContext` | `ctx` .
`protected PortalAuthorizationManagerFactory` | `portalAuthorizationManagerFactory` .
`protected java.lang.String` | `rootName` .
`protected org.hibernate.SessionFactory` | `sessionFactory` .
`protected java.lang.String` | `sessionFactoryJNDIName` .

Fields inherited from class org.jboss.system.ServiceMBeanSupport
`server, SERVICE_CONTROLLER_SIG, serviceName`

Fields inherited from interface org.jboss.system.ServiceMBean
`CREATE_EVENT, CREATED, DESTROY_EVENT, DESTROYED, FAILED, REGISTERED, START_EVENT, STARTED, STARTING, states, STOP_EVENT, STOPPED, STOPPING, UNREGISTERED`

Constructor Summary
`PersistentPortalObjectContainer()`

Method Summary
`protected ContextImpl` | `createRoot(java.lang.String namespace)`
`void` | `flushNaturalIdCache()`
`JBossAuthorizationDomainRegistry` | `getAuthorizationDomainRegistry()`
`boolean` | `getCacheNaturalId()`
`AbstractPortalObjectContainer.ContainerContext` | `getContainerContext()`
`int` | `getNaturalIdCacheSize()`
`protected ObjectNode` | `getObjectNode(PortalObjectId path)` Must be subclasses to provide the access to a node.
`PortalAuthorizationManagerFactory` | `getPortalAuthorizationManagerFactory()`
`java.lang.String` | `getRootName()`
`void` | `setAuthorizationDomainRegistry(JBossAuthorizationDomainRegistry authDomainRegistry)`
`void` | `setCacheNaturalId(boolean cacheNaturalId)`
`void` | `setPortalAuthorizationManagerFactory(PortalAuthorizationManagerFactory pamf)`
`void` | `setRootName(java.lang.String rootName)`
`void` | `setSessionFactoryJNDIName(java.lang.String sessionFactoryJNDIName)`
`protected void` | `startService()`
`protected void` | `stopService()`

Methods inherited from class org.jboss.portal.core.impl.model.portal.AbstractPortalObjectContainer
`createContext, createPermission, createPermission, createPermissionContainer, getAuthorizationDomain, getConfigurator, getContentProviderRegistry, getContext, getContext, getObject, getObject, getPermission, getPermissionFactory, getPermissionRepository, getSecurityBindings, getType, removeSecurityBindings, setContentProviderRegistry, setSecurityBindings`

Methods inherited from class org.jboss.portal.jems.as.system.AbstractJBossService
`create, destroy, getState, getStateString, start, stop`

Methods inherited from class org.jboss.system.ServiceMBeanSupport
`createService, destroyService, getDeploymentInfo, getLog, getName, getNextNotificationSequenceNumber, getObjectName, getServer, getServiceName, jbossInternalCreate, jbossInternalDescription, jbossInternalDestroy, jbossInternalLifecycle, jbossInternalStart, jbossInternalStop, postDeregister, postRegister, preDeregister, preRegister`

Methods inherited from class org.jboss.mx.util.JBossNotificationBroadcasterSupport
`addNotificationListener, getNotificationInfo, handleNotification, nextNotificationSequenceNumber, removeNotificationListener, removeNotificationListener, sendNotification`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### sessionFactory

    protected org.hibernate.SessionFactory sessionFactory

  .

### ctx

    protected AbstractPortalObjectContainer.ContainerContext ctx

  .

### portalAuthorizationManagerFactory

    protected PortalAuthorizationManagerFactory portalAuthorizationManagerFactory

  .

### authorizationDomainRegistry

    protected JBossAuthorizationDomainRegistry authorizationDomainRegistry

  .

### sessionFactoryJNDIName

    protected java.lang.String sessionFactoryJNDIName

  .

### contextualizer

    protected ObjectContextualizer contextualizer

  .

### cache

    protected java.util.concurrent.ConcurrentHashMap cache

  .

### cacheNaturalId

    protected boolean cacheNaturalId

  .

### rootName

    protected java.lang.String rootName

  .

Constructor Detail

### PersistentPortalObjectContainer

    public PersistentPortalObjectContainer()

Method Detail

### getRootName

    public java.lang.String getRootName()

### setRootName

    public void setRootName(java.lang.String rootName)

### flushNaturalIdCache

    public void flushNaturalIdCache()

### getNaturalIdCacheSize

    public int getNaturalIdCacheSize()

### getCacheNaturalId

    public boolean getCacheNaturalId()

### setCacheNaturalId

    public void setCacheNaturalId(boolean cacheNaturalId)

### getAuthorizationDomainRegistry

    public JBossAuthorizationDomainRegistry getAuthorizationDomainRegistry()

### setAuthorizationDomainRegistry

    public void setAuthorizationDomainRegistry(JBossAuthorizationDomainRegistry authDomainRegistry)

### getPortalAuthorizationManagerFactory

    public PortalAuthorizationManagerFactory getPortalAuthorizationManagerFactory()

### setPortalAuthorizationManagerFactory

    public void setPortalAuthorizationManagerFactory(PortalAuthorizationManagerFactory pamf)

### setSessionFactoryJNDIName

    public void setSessionFactoryJNDIName(java.lang.String sessionFactoryJNDIName)

### getContainerContext

    public AbstractPortalObjectContainer.ContainerContext getContainerContext()

### startService

    protected void startService()
                         throws java.lang.Exception

  Overrides:
    `startService` in class `org.jboss.system.ServiceMBeanSupport`
  Throws:
    `java.lang.Exception`

### stopService

    protected void stopService()
                        throws java.lang.Exception

  Overrides:
    `stopService` in class `org.jboss.system.ServiceMBeanSupport`
  Throws:
    `java.lang.Exception`

### createRoot

    protected ContextImpl createRoot(java.lang.String namespace)
                              throws DuplicatePortalObjectException

  Specified by:
    `createRoot` in class `AbstractPortalObjectContainer`
  Throws:
    `DuplicatePortalObjectException`

### getObjectNode

    protected ObjectNode getObjectNode(PortalObjectId path)

  Description copied from class: `AbstractPortalObjectContainer`
  Must be subclasses to provide the access to a node.

  Specified by:
    `getObjectNode` in class `AbstractPortalObjectContainer`
  Parameters:
    `path` - the portal object path
  Returns:
    a node or null if not found

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD